searchNodes=[{"doc":"Cldr module to formats lists. If we have a list of days like [&quot;Monday&quot;, &quot;Tuesday&quot;, &quot;Wednesday&quot;] then we can format that list for a given locale by: iex&gt; Cldr.List.to_string([&quot;Monday&quot;, &quot;Tuesday&quot;, &quot;Wednesday&quot;], MyApp.Cldr, locale: &quot;en&quot;) {:ok, &quot;Monday, Tuesday, and Wednesday&quot;}","ref":"Cldr.List.html","title":"Cldr.List","type":"module"},{"doc":"Intersperces a list elements into a list format according to the list pattern rules for a locale. This function can be helpful when creating a list from Phoenix safe strings which are of the format {:safe, &quot;some string&quot;} Arguments list is any list of of terms options is a keyword list Options :locale is any configured locale. See Cldr.known_locales(). The default is locale: Cldr.get_locale/1 :style is atom returned by Cldr.List.known_list_styles/0. The default is :standard Examples iex&gt; Cldr.List.intersperse([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;) {:ok, [&quot;a&quot;, &quot;, &quot;, &quot;b&quot;, &quot;, and &quot;, &quot;c&quot;]} iex&gt; Cldr.List.intersperse([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;, style: :unit_narrow) {:ok, [&quot;a&quot;, &quot; &quot;, &quot;b&quot;, &quot; &quot;, &quot;c&quot;]} iex&gt; Cldr.List.intersperse([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;fr&quot;) {:ok, [&quot;a&quot;, &quot;, &quot;, &quot;b&quot;, &quot; et &quot;, &quot;c&quot;]} iex&gt; Cldr.List.intersperse([1,2,3,4,5,6], MyApp.Cldr) {:ok, [1, &quot;, &quot;, 2, &quot;, &quot;, 3, &quot;, &quot;, 4, &quot;, &quot;, 5, &quot;, and &quot;, 6]} iex&gt; Cldr.List.intersperse([&quot;a&quot;], MyApp.Cldr) {:ok, [&quot;a&quot;]} iex&gt; Cldr.List.intersperse([1,2], MyApp.Cldr) {:ok, [1, &quot; and &quot;, 2]}","ref":"Cldr.List.html#intersperse/3","title":"Cldr.List.intersperse/3","type":"function"},{"doc":"Formats a list using intersperse/2 but raises if there is an error. Examples iex&gt; Cldr.List.intersperse!([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;) [&quot;a&quot;, &quot;, &quot;, &quot;b&quot;, &quot;, and &quot;, &quot;c&quot;] iex&gt; Cldr.List.intersperse!([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;, format: :unit_narrow) [&quot;a&quot;, &quot; &quot;, &quot;b&quot;, &quot; &quot;, &quot;c&quot;]","ref":"Cldr.List.html#intersperse!/3","title":"Cldr.List.intersperse!/3","type":"function"},{"doc":"Return the list of known list styles Example iex&gt; Cldr.List.known_list_styles() [:or, :or_narrow, :or_short, :standard, :standard_narrow, :standard_short, :unit, :unit_narrow, :unit_short]","ref":"Cldr.List.html#known_list_styles/0","title":"Cldr.List.known_list_styles/0","type":"function"},{"doc":"Returns the list patterns for a locale. List patterns provide rules for combining multiple items into a language format appropriate for a locale. Example iex&gt; Cldr.List.list_patterns_for &quot;en&quot;, MyApp.Cldr %{ or: %{ &quot;2&quot;: [0, &quot; or &quot;, 1], end: [0, &quot;, or &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, or_narrow: %{ &quot;2&quot;: [0, &quot; or &quot;, 1], end: [0, &quot;, or &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, or_short: %{ &quot;2&quot;: [0, &quot; or &quot;, 1], end: [0, &quot;, or &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, standard: %{ &quot;2&quot;: [0, &quot; and &quot;, 1], end: [0, &quot;, and &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, standard_narrow: %{ &quot;2&quot;: [0, &quot;, &quot;, 1], end: [0, &quot;, &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, standard_short: %{ &quot;2&quot;: [0, &quot; &amp; &quot;, 1], end: [0, &quot;, &amp; &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, unit: %{ &quot;2&quot;: [0, &quot;, &quot;, 1], end: [0, &quot;, &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] }, unit_narrow: %{ &quot;2&quot;: [0, &quot; &quot;, 1], end: [0, &quot; &quot;, 1], middle: [0, &quot; &quot;, 1], start: [0, &quot; &quot;, 1] }, unit_short: %{ &quot;2&quot;: [0, &quot;, &quot;, 1], end: [0, &quot;, &quot;, 1], middle: [0, &quot;, &quot;, 1], start: [0, &quot;, &quot;, 1] } }","ref":"Cldr.List.html#list_patterns_for/2","title":"Cldr.List.list_patterns_for/2","type":"function"},{"doc":"Returns the styles of list patterns available for a locale. Returns a list of atoms of of the list format styles that are available in CLDR for a locale. Example iex&gt; Cldr.List.list_styles_for(&quot;en&quot;, MyApp.Cldr) [:or, :or_narrow, :or_short, :standard, :standard_narrow, :standard_short, :unit, :unit_narrow, :unit_short]","ref":"Cldr.List.html#list_styles_for/2","title":"Cldr.List.list_styles_for/2","type":"function"},{"doc":"Formats a list into a string according to the list pattern rules for a locale. Arguments list is any list of of terms that can be passed through Kernel.to_string/1 options is a keyword list Options :locale is any configured locale. See Cldr.known_locales(). The default is locale: Cldr.get_locale/0 :style is one of those returned by Cldr.List.known_list_styles/0. The default is style: :standard Examples iex&gt; Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;) {:ok, &quot;a, b, and c&quot;} iex&gt; Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;, style: :unit_narrow) {:ok, &quot;a b c&quot;} iex&gt; Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;fr&quot;) {:ok, &quot;a, b et c&quot;} iex&gt; Cldr.List.to_string([1,2,3,4,5,6], MyApp.Cldr) {:ok, &quot;1, 2, 3, 4, 5, and 6&quot;} iex&gt; Cldr.List.to_string([&quot;a&quot;], MyApp.Cldr) {:ok, &quot;a&quot;} iex&gt; Cldr.List.to_string([1,2], MyApp.Cldr) {:ok, &quot;1 and 2&quot;}","ref":"Cldr.List.html#to_string/3","title":"Cldr.List.to_string/3","type":"function"},{"doc":"Formats a list using to_string/2 but raises if there is an error. Examples iex&gt; Cldr.List.to_string!([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;) &quot;a, b, and c&quot; iex&gt; Cldr.List.to_string!([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], MyApp.Cldr, locale: &quot;en&quot;, format: :unit_narrow) &quot;a b c&quot;","ref":"Cldr.List.html#to_string!/3","title":"Cldr.List.to_string!/3","type":"function"},{"doc":"","ref":"Cldr.List.html#t:pattern_type/0","title":"Cldr.List.pattern_type/0","type":"type"},{"doc":"","ref":"Cldr.List.Backend.html","title":"Cldr.List.Backend","type":"module"},{"doc":"","ref":"Cldr.List.Backend.html#define_list_module/1","title":"Cldr.List.Backend.define_list_module/1","type":"function"},{"doc":"Cldr for Lists","ref":"readme.html","title":"Cldr for Lists","type":"extras"},{"doc":"ex_cldr_lists is an add-on library for ex_cldr that provides localisation and formatting for lists. Cldr interprets the CLDR rules for list formatting in a locale-specific way. Configuration From ex_cldr version 2.0, a backend module must be defined into which the public API and the CLDR data is compiled. See the ex_cldr documentation for further information on configuration. In the following examples we assume the presence of a module called MyApp.Cldr defined as: defmodule MyApp.Cldr do use Cldr, locales: [&quot;en&quot;, &quot;fr&quot;], default_locale: &quot;en&quot; end","ref":"readme.html#introduction-and-getting-started","title":"Cldr for Lists - Introduction and Getting Started","type":"extras"},{"doc":"Note that :ex_cldr_lists requires Elixir 1.5 or later. Add ex_lists as a dependency to your mix project: defp deps do [ {:ex_cldr_lists, &quot;~&gt; 2.0&quot;} ] end then retrieve ex_cldr_lists from hex: mix deps.get mix deps.compile","ref":"readme.html#installation","title":"Cldr for Lists - Installation","type":"extras"},{"doc":"There are two common public API functions: MyApp.Cldr.List.to_string/2 &amp; MyApp.Cldr.List.to_string!/2 which take a list of terms and returns a string. Each item in the list must be understood by Kernel.to_string/1 MyApp.Cldr.List.intersperse/2 &amp; MyApp.Cldr.List.intersperse!/2 which takes a list of terms and returns a list interspersed within the list format. This function can be helpful when creating a list from Phoenix safe strings which are of the format {:safe, &quot;some string&quot;} For help in iex: iex&gt; h MyApp.Cldr.List.to_string iex&gt; h MyApp.Cldr.List.intersperse List Formatting iex&gt; MyApp.Cldr.List.list_pattern_styles_for &quot;en&quot; [:or, :standard, :standard_short, :unit, :unit_narrow, :unit_short] iex&gt; MyApp.Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], locale: &quot;en&quot;) {:ok, &quot;a, b, and c&quot;} iex&gt; MyApp.Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], locale: &quot;en&quot;, format: :or) {:ok, &quot;a, b, or c&quot;} iex&gt; MyApp.Cldr.List.to_string([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], locale: &quot;en&quot;, format: :unit) {:ok, &quot;a, b, c&quot;} iex&gt; MyApp.Cldr.List.to_string!([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], locale: &quot;en&quot;, format: :unit) &quot;a, b, c&quot; iex&gt; MyApp.Cldr.List.intersperse([&quot;a&quot;, &quot;b&quot;, &quot;c&quot;], locale: &quot;en&quot;) {:ok, [&quot;a&quot;, &quot;, &quot;, &quot;b&quot;, &quot;, and &quot;, &quot;c&quot;]} List Formats List formats are referred to by a pattern style the standardises the way to refernce different formats in a locale. See MyApp.Cldr.List.list_pattern_styles_for/1. For example: iex&gt; MyApp.Cldr.List.list__pattern_styles_for &quot;en&quot; [:standard, :standard_short, :unit, :unit_narrow, :unit_short] iex&gt; MyApp.Cldr.List.list_pattern_styles_for &quot;ru&quot; [:standard, :standard_short, :unit, :unit_narrow, :unit_short] iex&gt; MyApp.Cldr.List.list_pattern_styles_for &quot;th&quot; [:standard, :standard_short, :unit, :unit_narrow, :unit_short] Formatting styles The common formatting styles for a locale are: :or, :or_narrow, :or_short, :standard, :standard_narrow, :standard_short, :unit, :unit_narrow, :unit_short This list is not fixed or definitive, other styles may be present for a locale. The definitions of these styles can be explored through MyApp.Cldr.List.list_patterns_for/1. For example: iex&gt; MyApp.Cldr.List.list_patterns_for &quot;fr&quot; %{standard: %{&quot;2&quot;: &quot;{0} et {1}&quot;, end: &quot;{0} et {1}&quot;, middle: &quot;{0}, {1}&quot;, start: &quot;{0}, {1}&quot;}, standard_short: %{&quot;2&quot;: &quot;{0} et {1}&quot;, end: &quot;{0} et {1}&quot;, middle: &quot;{0}, {1}&quot;, start: &quot;{0}, {1}&quot;}, unit: %{&quot;2&quot;: &quot;{0} et {1}&quot;, end: &quot;{0} et {1}&quot;, middle: &quot;{0}, {1}&quot;, start: &quot;{0}, {1}&quot;}, unit_narrow: %{&quot;2&quot;: &quot;{0} {1}&quot;, end: &quot;{0} {1}&quot;, middle: &quot;{0} {1}&quot;, start: &quot;{0} {1}&quot;}, unit_short: %{&quot;2&quot;: &quot;{0} et {1}&quot;, end: &quot;{0} et {1}&quot;, middle: &quot;{0}, {1}&quot;, start: &quot;{0}, {1}&quot;}}","ref":"readme.html#public-api-examples","title":"Cldr for Lists - Public API &amp; Examples","type":"extras"},{"doc":"Changelog for Cldr_Lists v2.5.0 This is the changelog for Cldr_lists v2.5.0 released on May 4th, 2020. For older changelogs please consult the release tag on GitHub Enhancements Add implementation for the Cldr.Chars protocol which is used by Cldr.to_string/1 and which is a drop-in replacement for Kernel.to_string/1 with added default localization. Changelog for Cldr_Lists v2.4.0 This is the changelog for Cldr_lists v2.4.0 released on August 31st, 2019. For older changelogs please consult the release tag on GitHub Changes and deprecations Prefer the keyword option :style over :format to specify the list style in Cldr.List.to_string/3 and Cldr.List.intersperse/3. The keyword :format is deprecated and will be removed in ex_cldr_lists version 3.0 Rename Cldr.List.list_pattern_styles_for/2 to Cldr.List.list_styles_for/2. Cldr.List.list_pattern_styles_for/2 will still operate and delegates to Cldr.List.list_styles_for/2. It is now deprecated and will be removed in ex_cldr_lists 3.0. Changelog for Cldr_Lists v2.3.0 This is the changelog for Cldr_lists v2.3.0 released on August 29th, 2019. For older changelogs please consult the release tag on GitHub Enhancements Add Cldr.List.known_list_styles/0 Changelog for Cldr_Lists v2.2.2 This is the changelog for Cldr_lists v2.2.2 released on August 23rd, 2019. For older changelogs please consult the release tag on GitHub Bug Fixes Fix @spec for Cldr.List.to_string/3 and Cldr.List.to_string!/3 Changelog for Cldr_Lists v2.2.1 This is the changelog for Cldr_lists v2.2.1 released on August 21st, 2019. For older changelogs please consult the release tag on GitHub Bug Fixes Replace Cldr.get_current_locale/0 with Cldr.get_locale/0 in docs The option :backend to Cldr.List.to_string/3 will be used as the backend if provided Fix dialyzer warnings Changelog for Cldr_Lists v2.2.0 This is the changelog for Cldr_lists v2.2.0 released on March 28th, 2019. For older changelogs please consult the release tag on GitHub Enhancements Updates to CLDR version 35.0.0 released on March 27th 2019. Changelog for Cldr_Lists v2.1.0 This is the changelog for Cldr_lists v2.1.0 released on March 23rd, 2019. For older changelogs please consult the release tag on GitHub Enhancements Support Cldr.default_backend/0 and apply it as the default for functions in Cldr.List Changelog for Cldr_Lists v2.0.2 This is the changelog for Cldr_lists v2.0.2 released on March 20th, 2019. For older changelogs please consult the release tag on GitHub Bug Fixes Fix dialyzer warnings Changelog for Cldr_Lists v2.0.1 This is the changelog for Cldr_lists v2.0.1 released on March 15th, 2019. For older changelogs please consult the release tag on GitHub Enhancements Makes generation of documentation for backend modules optional. This is implemented by the :generate_docs option to the backend configuration. The default is true. For example: defmodule MyApp.Cldr do use Cldr, default_locale: &quot;en-001&quot;, locales: [&quot;en&quot;, &quot;ja&quot;], gettext: MyApp.Gettext, generate_docs: false end Changelog for Cldr_Lists v2.0.0 This is the changelog for Cldr_lists v2.0.0 released on November 24th, 2018. For older changelogs please consult the release tag on GitHub Enhancements Move to a backend module structure with ex_cldr version 2.0 Add Cldr.List.intersperse/3. Thanks to @lostkobrakai. Closes #2.","ref":"changelog.html","title":"Changelog for Cldr_Lists v2.5.0","type":"extras"},{"doc":"","ref":"license.html","title":"LICENSE","type":"extras"},{"doc":"Copyright 2017 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html#license","title":"LICENSE - License","type":"extras"}]